<!DOCTYPE html>
<html lang="ru">
    <head>
        <meta charset="utf-8">
        <link rel="stylesheet" href="style.css" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
        <title>Задание 4</title>
    </head>
    <body id="body" class="container m-auto w-100 col-12 col-lg-7">
        <header class="container-fluid px-0 pt-1 pb-0 mx-0 mt-1 mb-0">
            <div class="container-fluid text-center">
                <img id="logo" class="float-left logo1 m-auto pt-3" src="https://s1.iconbird.com/ico/2014/1/597/w256h2561390846354sheep2256.png" alt="Логотип">
                <h1 class="pt-5">Задание 4</h1>
            </div>
        </header>
        <nav>
            <div id="nav" class="container-fluid navbar my-1 mx-0 text-center">
                <div class="col-12 col-lg-3"><a class="nav-link" href="#head1">Нумерованный список гиперссылок</a></div>
                <div class="col-12 col-lg-3"><a class="nav-link" href="#head2">Таблица</a></div>
                <div class="col-12 col-lg-3"><a class="nav-link" href="#head3">Форма</a></div>
            </div>
        </nav>
        <a id="top"></a>
        <div class="d-flex flex-column">
            <div id="one" class="container-fluid p-0 mt-0 mb-1 mx-0 order-0 order-lg-0">
                <h2 id="head1" class="text-center">Нумерованный список гиперссылок</h2>
                <ol class="text-center">
                    <li><a href="http://example.com">Абсолютная гиперссылка на главную страницу сайта example.com</a></li>
                    <li><a href="https://example.com">Абсолютная гиперссылка на главную страницу сайта example.com в протоколе https</a></li>
                    <li><a href="ftp://example.com/files/file.html">Ссылка на файл на сервере FTP без авторизации</a></li>
                    <li><a href="ftp://user:123@example.com/files/file.html">Ссылка на файл на сервере FTP с авторизацией</a></li>
                    <li><a href="http://example.com#anchor">Ссылка на фрагмент страницы некоторого сайта</a></li>
                    <li><a href="#top">Ссылка на фрагмент текущей страницы</a></li>
                    <li><a href="http://example.com?parameter1=p1&parameter2=p2">Ссылка с двумя параметрами в URL</a></li>
                    <li>
                        Список ссылок основной навигации сайта с подписями title
                        <ul>
                            <li><a href="#head1" title="Нумерованный список гиперссылок">Нумерованный список гиперссылок</a></li>
                            <li><a href="#head2" title="Таблица">Таблица</a></li>
                            <li><a href="#head3" title="Форма">Форма</a></li>
                        </ul>
                    </li>
                    <li><a>Ссылка без href</a></li>
                    <li><a href="">Ссылка с пустым href</a></li>
                    <li><a href="http://example.com" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</a></li>
                    <li><a href="http://example.com" rel="nofollow"><!--noindex-->Ссылка, запрещенная для индексации поисковиками<!--/noindex--></a></li>
                    <li><p>Контекстная <a href="http://example.com">ссылка</a> в тексте абзаца</p></li>
                    <li>
                        Ссылка-изображение<br/>
                        <a href="http://example.com"><img src="https://catdogpet.ru/wp-content/uploads/2019/11/274b986c8723476290423bab3d36491f-300x232.jpg" alt="Описание картинки"></a>
                    </li>
                    <li>
                        Ссылки из прямоугольных и круглых областей картинки<br/>
                        <img src="http://zoozel.ru/gallery/images/964258_koshka-plachet-kartinki.jpg" width="300" height="232" alt="Описание картинки" usemap="#mymap">
                        <map name="mymap">
                            <area shape="rect" coords="0,0,300,100" href="http://example.com" alt="Прямоугольная область">
                            <area shape="circle" coords="150,180,50" href="http://example.com" alt="Круглая область">
                        </map>
                    </li>
                    <li><a href="page">Относительная ссылка на страницу в текущем каталоге</a></li>
                    <li><a href="./about/page">Относительная ссылка на страницу в каталоге about</a></li>
                    <li><a href="../page">Относительная ссылка на страницу в каталоге уровнем выше текущего</a></li>
                    <li><a href="../../page">Относительная ссылка на страницу в каталоге двумя уровнями выше текущего</a></li>
                    <li><a href="/">Сокращенная ссылка на главную</a></li>
                    <li><a href="/pages/page">Сокращенная ссылка на внутреннюю</a></li>
                </ol>
            </div>
            <div id="two" class="container-fluid p-0 mt-0 mb-1 mx-0 order-2 order-lg-1">
                <h2 id="head2" class="text-center">Таблица</h2>
                <table class="container mx-auto my-3 w-75 text-center">
                    <tr>
                        <th>Колонка 1</th>                        
                        <th>Колонка 2</th>
                        <th>Колонка 3</th>
                        <th>Колонка 4</th>
                    </tr>
                    <tr>
                        <td colspan="2">Ячейка 11 объединенная с 12</td>
                        <td>Ячейка 13</td>
                        <td>Ячейка 14</td>
                    </tr>
                    <tr>
                        <td>Ячейка 21</td>
                        <td>Ячейка 22</td>
                        <td>Ячейка 23</td>
                        <td>Ячейка 24</td>
                    </tr>
                    <tr>
                        <td>Ячейка 31</td>
                        <td>Ячейка 32</td>
                        <td>Ячейка 33</td>
                        <td>Ячейка 34</td>
                    </tr>
                    <tr>
                        <td>Ячейка 41</td>
                        <td>Ячейка 42</td>
                        <td>Ячейка 43</td>
                        <td>Ячейка 44</td>
                    </tr>
                    <tr>
                        <td>Ячейка 51</td>
                        <td>Ячейка 52</td>
                        <td>Ячейка 53</td>
                        <td>Ячейка 54</td>
                    </tr>
                    <tr>
                        <td>Ячейка 61</td>
                        <td>Ячейка 62</td>
                        <td colspan="2">Ячейка 63 объединенная с 64</td>
                    </tr>
                </table>
            </div>
            <div id="three" class="container-fluid pt-0 pb-3 px-0 mt-0 mb-1 mx-0 order-1 order-lg-2 text-center">
                <h2 id="head3">Форма</h2>
                <form action="http://example.com" method="POST">
                    <label>
                        Имя:<br/>
                        <input name="yourname"
                        value="имя"/>
                    </label><br/>
                    <label>
                        e-mail:<br/>
                        <input name="e-mail"
                        value="test@example.com"
                        type="email"/>
                    </label><br/>
                    <label>
                        Дата рождения:<br/>
                        <input name="dateofbirth" value="2000-01-01" type="date"/>
                    </label><br/>
                    Количество конечностей:<br/>
                    <label>
                        <input type="radio" name="radio-group-1" value="1"/>
                        1
                    </label>
                    <label>
                        <input type="radio" name="radio-group-1" value="2"/>
                        2
                    </label>
                    <label>
                        <input type="radio" name="radio-group-1" value="3"/>
                        3
                    </label>
                    <label>
                        <input type="radio" checked="checked" name="radio-group-1" value="4"/>
                        4
                    </label>
                    <label>
                        <input type="radio" name="radio-group-1" value="5"/>
                        5
                    </label><br/>
                    <label>
                        Сверхспособности:<br/>
                        <select name="p" multiple="multiple">
                            <option value="immortality" selected="selected">бессмертие</option>
                            <option value="passingthroughwalls">прохождение сквозь стены</option>
                            <option value="levitation">левитация</option>
                        </select>
                    </label><br/>
                    <label>
                        Биография:<br/>
                        <textarea name="bio">биография</textarea>
                    </label><br/>
                    С контрактом ознакомлен:<br/>
                    <label>
                        <input type="checkbox" checked="checked" name="check-1"/>
                    </label><br/>
                    <input type="submit" value="Отправить"/>
                </form>
            </div>
        </div>
        <footer class="conteiner-fluid text-left p-1 mt-0 mb-1 mx-0">(c) Анжелика Чигилой 2020</footer>
    </body>
</html>